Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
SimpleLRUCache.h File Reference
`#include <list>`
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::SimpleLRUCache< KEY, VALUE, HASH, EQUAL >
| General purpose LRU cache map. Accessing an entry will keep the entry cached. get(const KEY&) and put(const KEY&, const VALUE&) results in an access to the corresponding entry. More...

## Namespaces

| Lucene

clucene.sourceforge.net